---
specVersion: "1.0.0"
qGatePlan:
  metadata:
    key: "SW-4"
    name: "Software version 4.0"
    description: "Software release of our Human Machine Interface (HMI) which ensures\
      \ the relevant HMI requirements are covered based on the basic validation."
    autoFinalizeOnPassed: true
    attributes:
    - key: "Delivery date"
      value: "2026-02-10"
    - key: "ecu"
      value: "Prototype42"
    - key: "SW Release ID"
      value: "14"
  qGates:
  - dType: "RELEASE"
    name: "Headup display Requirements"
    attributes:
    - key: "SW Release ID"
      value: "14"
    - key: "ecu"
      value: "Prototype42"
    - key: "SW Release Name"
      value: "Software version 1.0"
    sharedProjectRoles: []
    sources:
    - "Basic functions"
    releaseId: 18
    percentage: 20
    scopeCondition:
      scopeKey: "Platform"
      scopeValue: "Platform HiL"
    reevaluationRequirements: []
  - dType: "RELEASE"
    name: "MSA Requirements"
    attributes:
    - key: "SW Release ID"
      value: "14"
    - key: "ecu"
      value: "Prototype42"
    - key: "SW Release Name"
      value: "Software version 1.0"
    sharedProjectRoles: []
    sources:
    - "Basic functions"
    releaseId: 17
    percentage: 20
    scopeCondition:
      scopeKey: "Platform"
      scopeValue: "Automatic starter systems Test"
    reevaluationRequirements: []
  - dType: "JOIN"
    name: "SW 1.0 system test release"
    attributes:
    - key: "SW Release ID"
      value: "14"
    - key: "ecu"
      value: "Prototype42"
    - key: "SW Release Name"
      value: "Software version 1.0"
    - key: "System test release ID"
      value: "15"
    sharedProjectRoles: []
    sources:
    - "Confirm publish release"
    requireAllSourcesFinished: false
  - dType: "RELEASE"
    name: "Communication Service"
    attributes:
    - key: "SW Release ID"
      value: "14"
    - key: "ecu"
      value: "Prototype42"
    - key: "SW Release Name"
      value: "Software version 1.0"
    sharedProjectRoles: []
    releaseId: 12
    percentage: 20
    scopeCondition:
      scopeKey: "Platform"
      scopeValue: "Platform SiL"
    reevaluationRequirements: []
  - dType: "RELEASE"
    name: "Basic Flash"
    attributes:
    - key: "SW Release ID"
      value: "14"
    - key: "ecu"
      value: "Prototype42"
    - key: "SW Release Name"
      value: "Software version 1.0"
    sharedProjectRoles: []
    releaseId: 16
    percentage: 20
    scopeCondition:
      scopeKey: "Teststage"
      scopeValue: "Flash Test"
    reevaluationRequirements: []
  - dType: "RELEASE"
    name: "Navigation system Requirements"
    attributes:
    - key: "SW Release ID"
      value: "14"
    - key: "ecu"
      value: "Prototype42"
    - key: "SW Release Name"
      value: "Software version 1.0"
    sharedProjectRoles: []
    sources:
    - "Basic functions"
    releaseId: 19
    percentage: 20
    scopeCondition:
      scopeKey: "Platform"
      scopeValue: "Platform HiL"
    reevaluationRequirements: []
  - dType: "JOIN"
    name: "HMI Requirements"
    attributes:
    - key: "SW Release ID"
      value: "14"
    - key: "ecu"
      value: "Prototype42"
    - key: "SW Release Name"
      value: "Software version 1.0"
    sharedProjectRoles: []
    sources:
    - "Headup display Requirements"
    - "Remote Requirements"
    - "MSA Requirements"
    - "Navigation system Requirements"
    - "ACC Requirements"
    requireAllSourcesFinished: false
  - dType: "WORKFLOW"
    name: "Publish Workflow"
    attributes: []
    sharedProjectRoles: []
    sources:
    - "SW 1.0 system test release"
    flowTriggerId: 10
  - dType: "RELEASE"
    name: "ACC Requirements"
    attributes:
    - key: "SW Release ID"
      value: "14"
    - key: "ecu"
      value: "Prototype42"
    - key: "Playbook reference"
      value: "http://test.guide:8085/execution/playbook/2?projectId=2"
    - key: "SW Release Name"
      value: "Software version 1.0"
    sharedProjectRoles: []
    sources:
    - "Basic functions"
    releaseId: 20
    percentage: 100
    scopeCondition:
      scopeKey: "Platform"
      scopeValue: "ACC Requirements"
    reevaluationRequirements:
    - "FAILED"
  - dType: "MANUAL"
    name: "Exploratory Navigation Testing"
    description: "<strong>&#x1f4dd; Pre-testing</strong>\r\n<ul><li>☐ Prepare the\
      \ test environment</li><li>☐ Review previous bugs</li><li>☐ Create a test plan\
      \ document</li></ul>\r\n\r\n<strong>&#x1f52c; Test session</strong>\r\n<ul><li>☐\
      \ Test the complete user flow of the feature</li><li>☐ Ensure the user interface\
      \ is consistent across all screens and elements</li><li>☐ Input invalid data\
      \ to check for error messages and validation</li></ul>\r\n\r\n<strong>✅ Post-testing</strong>\r\
      \n<ul><li>☐ Document findings</li><li>☐ Report bugs</li><li>☐ Release by switching\
      \ this gate, depending on the severity of the findings, either with <em>STOPPED</em>\
      \ to end or with <em>PASSED</em> to continue.</li></ul>"
    attributes: []
    sharedProjectRoles: []
    sources:
    - "Navigation system Requirements"
    rolesRequiredForAction:
    - 1
    - 4
  - dType: "RELEASE"
    name: "Memory Service"
    attributes:
    - key: "SW Release ID"
      value: "14"
    - key: "ecu"
      value: "Prototype42"
    - key: "SW Release Name"
      value: "Software version 1.0"
    sharedProjectRoles: []
    releaseId: 13
    percentage: 20
    scopeCondition:
      scopeKey: "Platform"
      scopeValue: "Platform SiL"
    reevaluationRequirements: []
  - dType: "PULL"
    name: "Remote Requirements"
    attributes: []
    sharedProjectRoles: []
    testGuideToolConfigName: "FSE Requirements"
    filter:
      qGateAttributes:
      - key: "release"
        values:
        - "true"
        negated: false
  - dType: "JOIN"
    name: "Basic functions"
    attributes:
    - key: "SW Release ID"
      value: "14"
    - key: "ecu"
      value: "Prototype42"
    - key: "SW Release Name"
      value: "Software version 1.0"
    sharedProjectRoles: []
    sources:
    - "Memory Service"
    - "Communication Service"
    - "Basic Flash"
    requireAllSourcesFinished: false
  - dType: "APPROVAL"
    name: "Confirm publish release"
    attributes:
    - key: "SW Release ID"
      value: "14"
    - key: "ecu"
      value: "Prototype42"
    - key: "SW Release Name"
      value: "Software version 1.0"
    sharedProjectRoles: []
    sources:
    - "Exploratory Navigation Testing"
    - "HMI Requirements"
    rolesRequiredForAction:
    - 2
    automaticApproval: true
